
Foreman - Bug #7018

SPICE libvirt websockets connections aren't encrypted

08/11/2014 07:08 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - libvirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When setting up a libvirt VM, the websockets connection isn't encrypted when the websockets_ssl* settings are appropriately

configured, but VNC ones are.

Related issues:

Related to Foreman - Feature #3601: Use secure websockets for console access Closed 11/07/2013

Related to Foreman - Feature #7805: Add several security related HTTP headers... Closed 10/03/2014

Related to Foreman - Feature #2569: [RFE] Add ability to encrypt HTML5 spice ... New

History

#1 - 08/11/2014 07:08 AM - Dominic Cleal

- Related to Feature #3601: Use secure websockets for console access added

#2 - 09/26/2014 07:06 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - libvirt

#3 - 10/31/2014 10:44 AM - Dominic Cleal

- Related to Feature #7805: Add several security related HTTP headers - security hardening. added

#4 - 10/31/2014 11:07 AM - Dominic Cleal

This is causing a problem now with Chrome since #7805, as it's not permitting mixed content by default.

https://github.com/theforeman/foreman/pull/1882#issuecomment-61255793

To workaround, click the shield in the address bar, then "Load unsafe script".

#5 - 10/06/2016 10:28 AM - Anonymous

- Related to Feature #2569: [RFE] Add ability to encrypt HTML5 spice client added

#6 - 07/10/2018 10:23 AM - Oliver Freyermuth

- Triaged set to No

Seems that for Firefox, network.websocket.allowInsecureFromHTTPS is needed in about:config.

Things still fail for me then, but also VNC failed - still investigating.
